Name:		xmp
Version:	4.2.0
Release:	%mkrel 1
Summary:	A multi-format module player
Group:		Sound/Players
License:	GPLV2+
URL:		https://xmp.sourceforge.net/
Source0:	https://downloads.sourceforge.net/xmp/xmp-%{version}.tar.gz
# use pulseaudio output by default
Patch0:		xmp-4.0.6-pulse.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libxmp)
BuildRequires:	pkgconfig(libpulse)

%description
This is the Extended Module Player, a portable module player that plays
over 90 mainstream and obscure module formats, including Protracker MOD,
Fasttracker II XM, Scream Tracker 3 S3M and Impulse Tracker IT files.

%prep
%autosetup -p1

%build
%configure \
	--enable-pulseaudio
%make_build

%install
%make_install

%files
%doc Changelog CREDITS README
%dir %{_sysconfdir}/xmp/
%config(noreplace) %{_sysconfdir}/xmp/*.conf
%{_bindir}/xmp
%{_mandir}/man1/xmp.1*


%changelog
* Thu Apr 25 2024 daviddavid <daviddavid> 4.2.0-1.mga10
+ Revision: 2060911
- new version: 4.2.0

* Mon Mar 21 2022 umeabot <umeabot> 4.1.0-4.mga9
+ Revision: 1810890
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 4.1.0-3.mga8
+ Revision: 1518827
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1301948
- Mageia 7 Mass Rebuild

* Sat Aug 27 2016 wally <wally> 4.1.0-1.mga6
+ Revision: 1049182
- new version 4.1.0

* Sun Mar 06 2016 shlomif <shlomif> 4.0.11-1.mga6
+ Revision: 986777
- New version 4.0.11

* Fri Feb 12 2016 umeabot <umeabot> 4.0.10-2.mga6
+ Revision: 959344
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 wally <wally> 4.0.10-1.mga6
+ Revision: 839637
- new version 4.0.10

* Wed Oct 15 2014 umeabot <umeabot> 4.0.8-3.mga5
+ Revision: 746955
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.8-2.mga5
+ Revision: 690725
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 wally <wally> 4.0.8-1.mga5
+ Revision: 659629
- new version 4.0.8

* Thu Feb 27 2014 wally <wally> 4.0.7-1.mga5
+ Revision: 597629
- new version 4.0.7

* Sat Oct 19 2013 umeabot <umeabot> 4.0.6-2.mga4
+ Revision: 532361
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 4.0.6-1.mga4
+ Revision: 468115
- new version 4.0.6
- clean .spec
- imported package xmp


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 Dominik Mierzejewski <rpm@greysector.net> - 4.0.5-1
- update to 4.0.5
- drop all patches
- Audacious plugin moved to a separate package
- XMMS plugin no longer available
- patch to use pulseaudio by default

* Sun Apr 28 2013 Dominik Mierzejewski <rpm@greysector.net> - 3.5.0-3
- fix build against audacious 3.4 (empty pkg-config --cflags is not an error)
- backport fix for CVE-2013-1890 (rhbz #954658)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 05 2012 Dominik Mierzejewski <rpm@greysector.net> - 3.5.0-1
- updated to 3.5.0
- rebased 3.3 API patch

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 18 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 3.4.0-11
- Rebuild for Audacious 3.3-alpha1 generic plugin API/ABI bump.
- Patch for Audacious 3.3-alpha1 API changes.

* Fri Jun 15 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 3.4.0-10
- Fix untimely g_free(filename) calls in Audacious 3 plugin and
  make module probing thread-safe.

* Mon Jun  4 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 3.4.0-7
- Fix undefined symbol corner-case for Audacious 3.2 API (#825937).

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan  2 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 3.4.0-5
- Rebuild for Audacious 3.2-beta1 generic plugin API/ABI bump.
- Update Audacious 3.1 Preferences API patch for header changes.

* Sat Dec 24 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.4.0-4
- Rebuild for Audacious 3.2-alpha1 generic plugin API/ABI bump.

* Wed Oct 26 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.4.0-3
- Rebuild for Audacious 3.1-beta3 generic plugin API/ABI bump.

* Wed Oct 12 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.4.0-2
- Port to Audacious 3.1 Preferences API.
- Rebuild for Audacious 3.1-beta1 generic plugin API/ABI bump.
- Depend on audacious(plugin-api)%%{?_isa}.

* Wed Aug 10 2011 Dominik Mierzejewski <rpm@greysector.net> 3.4.0-1
- update to 3.4.0
- drop obsolete patches

* Thu Jul  7 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.3.0-8
- Rewrite the Audacious plugin for Audacious 3.0 Preferences Widgets.

* Sun Mar 27 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.3.0-7
- Rewrite the Audacious plugin for Audacious 2.5.
- Verbose build log with V=1 make.
- Update the audacious(plugin-api) stuff in the spec file for Audacious 2.5.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb  4 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.3.0-5
- No build: wait for mass-rebuild in Rawhide.
- Enhance the audacious(plugin-api) stuff in the spec file.

* Fri Jan 28 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.3.0-4
- In audacious-plugin-xmp require a specific audacious(plugin-api).

* Mon Dec 13 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 3.3.0-3
- Rebuild for Audacious 2.4.2 generic plugin API/ABI bump.

* Thu Dec 09 2010 Dominik Mierzejewski <rpm@greysector.net> 3.3.0-2
- apply upstream patches to fix crash in audacious plugins (bug #660507)

* Sat Dec 04 2010 Dominik Mierzejewski <rpm@greysector.net> 3.3.0-1
- updated to 3.3.0
- drop obsolete patches

* Wed Jul 21 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 3.2.0-3
- Patch and rebuild for Audacious 2.4 beta1 generic plugin API/ABI bump.

* Thu Jul 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 3.2.0-2
- Rebuild for Audacious 2.4 alpha3 generic plugin API/ABI bump.

* Thu Jul 08 2010 Dominik Mierzejewski <rpm@greysector.net> 3.2.0-1
- updated to 3.2.0
- fixed compilation on rawhide

* Sun Jan 17 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 3.1.0-2
- Rebuild for audacious.pc --libs changes.

* Thu Jan 07 2010 Dominik Mierzejewski <rpm@greysector.net> 3.1.0-1
- updated to 3.1.0
- enabled parallel build
- dropped obsolete patches
- built with pulseaudio output support

* Thu Dec 31 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.7.1-2
- fix FTBFS (#539061), Audacious 2.2 iplugin API change
- fix Audacious plugin dialogs

* Mon Sep 14 2009 Dominik Mierzejewski <rpm@greysector.net> 2.7.1-1
- updated to 2.7.1
- dropped obsolete patch
- fixes CVE-2007-6731 (rhbz#523138) and CVE-2007-6732 (rhbz#523147)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.1-7
- patch further for Audacious 2, because the bmp_cfg_* symbols are gone
  since Audacious 1.5 already

* Sun Jul 19 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.1-6
- patch for Audacious 2 (xmp-2.5.1-audacious2.patch)

* Tue Jun 16 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 2.5.1-5
- rebuild for new libmowgli SONAME (audacious-plugin-xmp depends on it
  indirectly because of audacious-devel pkgconfig dep-chain)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Dominik Mierzejewski <rpm@greysector.net> 2.5.1-3
- add a script to create the free tarball
- drop workaround for missing audacious-devel Requires:

* Mon Jul 07 2008 Dominik Mierzejewski <rpm@greysector.net> 2.5.1-2
- repackaged source tarball without the OCL-licensed file

* Wed Jun 25 2008 Dominik Mierzejewski <rpm@greysector.net> 2.5.1-1
- initial build based on upstream spec
- disabled stripping upon install
- renamed player plugins to playername(-plugin)-xmp
- worked around missing BRs in audacious-devel in rawhide
- converted non-UTF8 docs
